#include "Routine.h"



//fonction utilisateur de comparaison fournie a qsort()
int compare_mix_table (const void *a, const void *b)
{      
   t_mix_table * pa = (t_mix_table *) a;
   t_mix_table * pb = (t_mix_table *) b;
   return pa->influence - pb->influence ;
}

/* ======================================================================= */
/* routine that waits for a keystroke                                      */
/* ======================================================================= */
void Pause (void)
{
  printf("Press Enter, please\n");
  fflush(stdout);
  fflush(stdin);
  (void)getc(stdin);
  fflush(stdin);
}

/* ======================================================================= */
/* routine 2 that ignore some inN string from datafile                       */
/* ======================================================================= */
void SauterNStringFILE(FILE * inFichier, const int inN)
{
   char temps[64] ;
   
   for (int i = inN ; i>0 ; i--)
   {
      fscanf(inFichier, "%s", temps) ;
   }
}

/* ======================================================================= */
/* routine that mix values from a table.                                   */
/* ======================================================================= */
void MelangerTableau (uint16 * inTAB, uint16 inTaille)
{
   t_mix_table MixTAB[TAILLE] ;

	// Copy value from the inTable.
   uint16 coef = TAILLE*1000 ;
   for (uint16 i=0; i < inTaille; i++)
	{		
      MixTAB[i].table_value = inTAB[i] ;
      MixTAB[i].influence = rand()%(coef) ;
	}
   qsort(MixTAB, inTaille, sizeof(t_mix_table), compare_mix_table) ;

   for (uint16 i=0; i < inTaille; i++)
	{		
      inTAB[i] = MixTAB[i].table_value ;
	}
}

